QT       += core gui xml

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets datavisualization printsupport serialport

CONFIG += c++11 qt

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    DataViewer.cpp \
    Filters.cpp \
    FramedWidget.cpp \
    InfoEdit.cpp \
    PopUpWin.cpp \
    RealTimeDisp.cpp \
    Receiving.cpp \
    RingBuffer.cpp \
    SampleMaker.cpp \
    SerialPort.cpp \
    SignalViewer.cpp \
    StaticDataViewer.cpp \
    Terminal.cpp \
    TimeDataViewer.cpp \
    Transparam.cpp \
    main.cpp \
    Mainwindow.cpp \
    qcustomplot.cpp

HEADERS += \
    DataViewer.hpp \
    Filters.hpp \
    FramedWidget.hpp \
    InfoEdit.hpp \
    Mainwindow.hpp \
    PopUpWin.hpp \
    RealTimeDisp.hpp \
    Receiving.hpp \
    RingBuffer.hpp \
    SampleMaker.hpp \
    SerialPort.hpp \
    SignalViewer.hpp \
    StaticDataViewer.hpp \
    Terminal.hpp \
    TimeDataViewer.hpp \
    Transparam.hpp \
    qcustomplot.hpp

FORMS += \
    Mainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
